OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::Net Class Referenceabstract

`#include <net.hpp>`

Inherited by op::NetCaffe, and op::NetOpenCv.

## Public Member Functions
virtual | ~Net ()
virtual void | initializationOnThread ()=0
virtual void | forwardPass (const Array< float > &inputData) const =0

## Constructor & Destructor Documentation

virtual op::Net::~Net | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void op::Net::forwardPass | ( | const Array< float > & | inputData | ) | const
| pure virtual

Implemented in op::NetCaffe, and op::NetOpenCv.

virtual void op::Net::initializationOnThread | ( |  | ) |
| pure virtual

Implemented in op::NetCaffe, and op::NetOpenCv.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/net/net.hpp